package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import java.util.Date;

/**
 * 标签对象 label_code
 * 
 * @author ruoyi
 * @date 2024-10-17
 */
public class LabelCode
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 标签名称 */
    @Excel(name = "标签名称")
    private String name;

    /** 标签是否自动：0自动，1手动 */
    @Excel(name = "标签是否自动：0自动，1手动")
    private Integer automatic;

    /** 显示状态 0是存在 1是删除 */
    @TableLogic
    private Integer delFlag;

    /** 标签组id */
    @Excel(name = "标签组id")
    private Long labelTypeId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAutomatic(Integer automatic) 
    {
        this.automatic = automatic;
    }

    public Integer getAutomatic() 
    {
        return automatic;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setLabelTypeId(Long labelTypeId) 
    {
        this.labelTypeId = labelTypeId;
    }

    public Long getLabelTypeId() 
    {
        return labelTypeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("automatic", getAutomatic())
            .append("delFlag", getDelFlag())
            .append("labelTypeId", getLabelTypeId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
